Returns the users' workloads per day.

GEThttps://api.awork.com/api/v1/users/workload
GET https://api.awork.com/api/v1/users/workload

Returns the users' workloads per day. Takes into consideration weekly availability, absences, user capacity, planned efforts, as well as project budget.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Query parameters

userIdsstringRequired

The ids of the users to get the workload for, as a comma-separated list of Guids.

intervalStartstringRequired
format: date-time

The start of the interval to filter by.

intervalEndstringRequired
format: date-time

The end of the interval to filter by.

roughPlanningFromintegerRequired
format: int32

The number of days from today when the rough planning should start.

fetchDetailsbooleanOptional
Default: false

(Optional - default: false) If set to true, the result will contain the hierarchy of elements that are contributing to the workload (projects, tasks, appointments). Otherwise it will return only the workload value. Works only for single day queries.

ignoreCalendarEventsbooleanOptional
Default: false

Whether to ignore calendar events. Can significantly improve performance.

timezonestringOptional

An optional Planner timezone. Defaults to UTC for API users and the account timezone for other users.

Responses

200 OK

application/json

userIdstringOptional
format: uuid
workloadsarray of object or nullOptional
Show 8 properties
datestringOptional
format: date-time

The date of the calculated utilisation.

durationnumberOptional
format: float

The total duration (in seconds) of all the items included in the user's workload calculation: Calendar events + Scheduled Tasks + Assigned Tasks + Time Bookings + Recurring Tasks.

userCapacityinteger or nullOptional
format: int32

The total capacity of the user on this day.

remainingUserCapacityinteger or nullOptional
format: int32

The remaining capacity of the user on this day.

projectsarray of object or nullOptional
Show 7 properties
idstringOptional
format: uuid
namestring or nullOptional
companyobjectOptional
Show 3 properties
idstring or nullOptional
format: uuid
namestring or nullOptional
hasImagebooleanOptional
tasksarray of object or nullOptional
Show 7 properties
idstringOptional
format: uuid
namestring or nullOptional
durationinteger or nullOptional
format: int32

The duration of the planned effort of the user for this task. Includes the duration of recurring tasks if the IsRecurring flag is set to true. Omitted when the requester cannot read the planned effort of the task's project.

taskStatusobjectOptional
Show 3 properties
idstringOptional
format: uuid
namestring or nullOptional

The name of the entity.

typestring or nullOptional

The type of the status.

taskSchedulesarray of object or nullOptional
Show 3 properties
durationintegerOptional
format: int32
fromstringOptional
format: date-time
tostringOptional
format: date-time
isAnonymizedboolean or nullOptional

This will be true if the user doesn't have access to the task. In that case the Name and the Status will be shadowed.

isRecurringbooleanOptional

Whether the task has a recurrency rule.

timeBookingsarray of object or nullOptional
Show 4 properties
idstringOptional
format: uuid
descriptionstring or nullOptional
durationintegerOptional
format: int32
isAnonymizedboolean or nullOptional

This will be true if the user doesn't have access to the project of time booking (if related to a project). In that case the Description will be shadowed.

isAnonymizedboolean or nullOptional

This will be true if the user doesn't have access to the project. In that case the Name and the ClientName will be shadowed.

hasImagebooleanOptional
tasksarray of object or nullOptional
Show 7 properties
idstringOptional
format: uuid
namestring or nullOptional
durationinteger or nullOptional
format: int32

The duration of the planned effort of the user for this task. Includes the duration of recurring tasks if the IsRecurring flag is set to true. Omitted when the requester cannot read the planned effort of the task's project.

taskStatusobjectOptional
Show 3 properties
idstringOptional
format: uuid
namestring or nullOptional

The name of the entity.

typestring or nullOptional

The type of the status.

taskSchedulesarray of object or nullOptional
Show 3 properties
durationintegerOptional
format: int32
fromstringOptional
format: date-time
tostringOptional
format: date-time
isAnonymizedboolean or nullOptional

This will be true if the user doesn't have access to the task. In that case the Name and the Status will be shadowed.

isRecurringbooleanOptional

Whether the task has a recurrency rule.

appointmentsarray of object or nullOptional
Show 3 properties
providerNamestring or nullOptional
calendarNamestring or nullOptional
durationintegerOptional
format: int32
calendarAbsencesarray of object or nullOptional

Calendar out-of-office entries grouped by calendar that reduce capacity for this day. Only returned when fetchDetails is enabled.

Show 3 properties
providerNamestring or nullOptional
calendarNamestring or nullOptional
durationintegerOptional
format: int32
400 Bad Request

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

401 Unauthorized

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation